using System.Collections.Generic;
using LitJson;

namespace Wizard;

public class GatheringRankingTask : BaseTask
{
	public class RankingUserInfo
	{
		public GatheringUserInfo gatheringUserInfo { get; private set; }

		public int Order { get; private set; }

		public int WinCount { get; private set; }

		public RankingUserInfo(JsonData data)
		{
			gatheringUserInfo = new GatheringUserInfo(data["user"]);
			Order = data["rank"].ToInt();
			WinCount = data["score"].ToInt();
		}
	}

	public List<RankingUserInfo> RankingList { get; private set; }

	public GatheringRankingTask()
	{
		base.type = ApiType.Type.GatheringRanking;
	}

	protected override int Parse()
	{
		int num = base.Parse();
		if (num != 1)
		{
			return num;
		}
		JsonData jsonData = base.ResponseData["data"]["ranking"];
		RankingList = new List<RankingUserInfo>();
		for (int i = 0; i < jsonData.Count; i++)
		{
			RankingUserInfo item = new RankingUserInfo(jsonData[i]);
			RankingList.Add(item);
		}
		return num;
	}
}
